|  | Home · All Classes · Modules

# QFileIconProvider Class Reference
[QtGui module]

The QFileIconProvider class provides file icons for the QDirModel class. More...

### Types

- enum IconType { Computer, Desktop, Trashcan, Network, ..., File }

### Methods

- __init__ (self)
- QIcon icon (self, IconType type)
- QIcon icon (self, QFileInfo info)
- QString type (self, QFileInfo info)

## Detailed Description

The QFileIconProvider class provides file icons for the QDirModel class.

## Type Documentation

### QFileIconProvider.IconType

Constant | Value
--- | ---
`QFileIconProvider.Computer` | `0`
`QFileIconProvider.Desktop` | `1`
`QFileIconProvider.Trashcan` | `2`
`QFileIconProvider.Network` | `3`
`QFileIconProvider.Drive` | `4`
`QFileIconProvider.Folder` | `5`
`QFileIconProvider.File` | `6`

## Method Documentation

### QFileIconProvider.__init__ (self)

Constructs a file icon provider.

### QIcon QFileIconProvider.icon (self, IconType type)

Returns an icon set for the given type.

### QIcon QFileIconProvider.icon (self, QFileInfo info)

This is an overloaded member function, provided for convenience.

Returns an icon for the file described by info.

### QString QFileIconProvider.type (self, QFileInfo info)

Returns the type of the file described by info.